com.aventstack.extentreports

## Enum AnalysisStrategy

- java.lang.Object
- - java.lang.Enum<AnalysisStrategy>
  - - com.aventstack.extentreports.AnalysisStrategy

- All Implemented Interfaces:
    Serializable, Comparable<AnalysisStrategy>

      public enum AnalysisStrategy
      extends Enum<AnalysisStrategy>

  Strategy used to generate statistics for the current run

  Available strategies are:

  - BDD: Strategy for BDD-style (Gherkin) tests
  - CLASS: Used for 2 levels: Class, Test
  - SUITE: Used for 3 levels: Suite, Class, Test
  - TEST: Used for 1 level only: Test

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BDD`
    `CLASS`
    `SUITE`
    `TEST`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnalysisStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AnalysisStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BDD

          public static final AnalysisStrategy BDD

    - #### CLASS

          public static final AnalysisStrategy CLASS

    - #### SUITE

          public static final AnalysisStrategy SUITE

    - #### TEST

          public static final AnalysisStrategy TEST

  - ### Method Detail

    - #### values

          public static AnalysisStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AnalysisStrategy c : AnalysisStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AnalysisStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All rights reserved.